digiKam Developer Documentation: Digikam::DConfigDlgWdg Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DConfigDlgWdg Class Reference

Page widget with many layouts (faces). More...

Inheritance diagram for Digikam::DConfigDlgWdg:

## Signals
void | currentPageChanged (DConfigDlgWdgItem *current, DConfigDlgWdgItem *before)
| This signal is emitted whenever the current page has changed.
void | pageRemoved (DConfigDlgWdgItem *page)
| This signal is emitted when a page is removed.
void | pageToggled (DConfigDlgWdgItem *page, bool checked)
| This signal is emitted whenever a checkable page changes its state.
Signals inherited from Digikam::DConfigDlgView
void | signalCurrentPageChanged (const QModelIndex &current, const QModelIndex &previous)
| This signal is emitted whenever the current page changes.

## Public Member Functions
| DConfigDlgWdg (QWidget *const parent=nullptr)
| Creates a new page widget.
| ~DConfigDlgWdg () override=default
| Destroys the page widget.
void | addPage (DConfigDlgWdgItem *item)
| Adds a new top level page to the widget.
DConfigDlgWdgItem * | addPage (QWidget *widget, const QString &name)
| Adds a new top level page to the widget.
void | addSubPage (DConfigDlgWdgItem *parent, DConfigDlgWdgItem *item)
| Inserts a new sub page in the widget.
DConfigDlgWdgItem * | addSubPage (DConfigDlgWdgItem *parent, QWidget *widget, const QString &name)
| Inserts a new sub page in the widget.
DConfigDlgWdgItem * | currentPage () const
| Returns the.
void | insertPage (DConfigDlgWdgItem *before, DConfigDlgWdgItem *item)
| Inserts a new page in the widget.
DConfigDlgWdgItem * | insertPage (DConfigDlgWdgItem *before, QWidget *widget, const QString &name)
| Inserts a new page in the widget.
void | removePage (DConfigDlgWdgItem *item)
| Removes the page associated with the given.
void | setCurrentPage (DConfigDlgWdgItem *item)
| Sets the page which is associated with the given.
Public Member Functions inherited from Digikam::DConfigDlgView
| DConfigDlgView (QWidget *const parent=nullptr)
| Creates a page view with given parent.
| ~DConfigDlgView () override
| Destroys the page view.
QModelIndex | currentIndex () const
| Returns the index for the current page or an invalid index if no current page exists.
FaceType | faceType () const
| Returns the face type of the page view.
QAbstractItemDelegate * | itemDelegate () const
| Returns the item delegate of the page view.
QAbstractItemModel * | model () const
| Returns the model of the page view.
void | setCurrentIndex (const QModelIndex &index)
| Sets the page with.
void | setDefaultWidget (QWidget *widget)
| Sets the `widget` which will be shown when a page is selected that has no own widget set.
void | setFaceType (FaceType faceType)
| Sets the face type of the page view.
void | setItemDelegate (QAbstractItemDelegate *delegate)
| Sets the item.
void | setModel (QAbstractItemModel *model)
| Sets the `model` of the page view.

## Protected Member Functions
| DConfigDlgWdg (DConfigDlgWdgPrivate &dd, QWidget *const parent)
Protected Member Functions inherited from Digikam::DConfigDlgView
| DConfigDlgView (DConfigDlgViewPrivate &dd, QWidget *const parent)
virtual QAbstractItemView * | createView ()
| Returns the navigation view, depending on the current face type.
virtual bool | showPageHeader () const
| Returns whether the page header should be visible.
virtual Qt::Alignment | viewPosition () const
| Returns the position where the navigation view should be located according to the page stack.

## Additional Inherited Members
Public Types inherited from Digikam::DConfigDlgView
enum | FaceType { Auto , Plain , List , Tree , Tabbed }
| This enum is used to decide which type of navigation view shall be used in the page view. More...
Protected Attributes inherited from Digikam::DConfigDlgView
DConfigDlgViewPrivate *const | d_ptr
Properties inherited from Digikam::DConfigDlgView
FaceType | faceType

## Detailed Description

See also
  DConfigDlgView with hierarchical page model.

## Constructor & Destructor Documentation

## ◆ DConfigDlgWdg()

Digikam::DConfigDlgWdg::DConfigDlgWdg | ( | QWidget *const | parent = `nullptr` | ) |
| explicit

Parameters

  parent | The parent widget.

## Member Function Documentation

## ◆ addPage() [1/2]

void Digikam::DConfigDlgWdg::addPage | ( | DConfigDlgWdgItem * | item | ) |

Parameters

  item | The

See also
  DConfigDlgWdgItem which describes the page.

## ◆ addPage() [2/2]

DConfigDlgWdgItem * Digikam::DConfigDlgWdg::addPage | ( | QWidget * | widget,
|  | const QString & | name
| ) |  |

Parameters

  widget | The widget of the page.
  name | The name which is displayed in the navigation view.

Returns
  The associated

See also
  DConfigDlgWdgItem.

## ◆ addSubPage() [1/2]

void Digikam::DConfigDlgWdg::addSubPage | ( | DConfigDlgWdgItem * | parent,
|  | DConfigDlgWdgItem * | item
| ) |  |

Parameters

  parent | The new page will be insert as child of this

See also
  DConfigDlgWdgItem.

Parameters

  item | The

See also
  DConfigDlgWdgItem which describes the page.

## ◆ addSubPage() [2/2]

DConfigDlgWdgItem * Digikam::DConfigDlgWdg::addSubPage | ( | DConfigDlgWdgItem * | parent,
|  | QWidget * | widget,
|  | const QString & | name
| ) |  |

Parameters

  parent | The new page will be insert as child of this

See also
  DConfigDlgWdgItem.

Parameters

  widget | The widget of the page.
  name | The name which is displayed in the navigation view.

Returns
  The associated

See also
  DConfigDlgWdgItem.

## ◆ currentPage()

DConfigDlgWdgItem * Digikam::DConfigDlgWdg::currentPage | ( |  | ) | const

See also
  DConfigDlgWdgItem for the current page or 0 if there is no current page.

## ◆ currentPageChanged

void Digikam::DConfigDlgWdg::currentPageChanged | ( | DConfigDlgWdgItem * | current,
|  | DConfigDlgWdgItem * | before
| ) |  |
| signal

Parameters

  current | The new current page or 0 if no current page is available.

## ◆ insertPage() [1/2]

void Digikam::DConfigDlgWdg::insertPage | ( | DConfigDlgWdgItem * | before,
|  | DConfigDlgWdgItem * | item
| ) |  |

Parameters

  before | The new page will be insert before this

See also
  DConfigDlgWdgItem on the same level in hierarchy.

Parameters

  item | The

See also
  DConfigDlgWdgItem which describes the page.

## ◆ insertPage() [2/2]

DConfigDlgWdgItem * Digikam::DConfigDlgWdg::insertPage | ( | DConfigDlgWdgItem * | before,
|  | QWidget * | widget,
|  | const QString & | name
| ) |  |

Parameters

  before | The new page will be insert before this

See also
  DConfigDlgWdgItem on the same level in hierarchy.

Parameters

  widget | The widget of the page.
  name | The name which is displayed in the navigation view.

Returns
  The associated

See also
  DConfigDlgWdgItem.

## ◆ pageRemoved

void Digikam::DConfigDlgWdg::pageRemoved | ( | DConfigDlgWdgItem * | page | ) |
| signal

Parameters

  page | The page which is removed

## ◆ pageToggled

void Digikam::DConfigDlgWdg::pageToggled | ( | DConfigDlgWdgItem * | page,
|  | bool | checked
| ) |  |
| signal

Parameters

  checked | is true when the
  page | is checked, or false if the
  page | is unchecked.

## ◆ removePage()

void Digikam::DConfigDlgWdg::removePage | ( | DConfigDlgWdgItem * | item | ) |

See also
  DConfigDlgWdgItem.

## ◆ setCurrentPage()

void Digikam::DConfigDlgWdg::setCurrentPage | ( | DConfigDlgWdgItem * | item | ) |

See also
  DConfigDlgWdgItem to be the current page and emits the currentPageChanged() signal.